aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-inline/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commit43e4328d2c66cbca6c4119cc61a6e8fa133c3b73 (patch)
treef401d6ce6827c497598edbdced7ba97a33d2b1e2 /testing/perl-inline/APKBUILD
parente17cea1222c08c6d1d1e9b00cc00c3d226908303 (diff)
downloadaports-43e4328d2c66cbca6c4119cc61a6e8fa133c3b73.tar.gz
aports-43e4328d2c66cbca6c4119cc61a6e8fa133c3b73.tar.bz2
aports-43e4328d2c66cbca6c4119cc61a6e8fa133c3b73.tar.xz
testing/perl-inline: new aport
Diffstat (limited to 'testing/perl-inline/APKBUILD')
-rw-r--r--testing/perl-inline/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/perl-inline/APKBUILD b/testing/perl-inline/APKBUILD
new file mode 100644
index 0000000000..e3d082744b
--- /dev/null
+++ b/testing/perl-inline/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-inline
+_realname=Inline
+pkgver=0.45
+pkgrel=0
+pkgdesc="Write Perl subroutines in other programming languages"
+url="http://search.cpan.org/~sisyphus/Inline-0.45/"
+license="Unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SI/SISYPHUS/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ rm $pkgdir/usr/lib/perl5/5.10.0/x86_64-linux/perllocal.pod
+}
+
+md5sums="63140a6c911f1576fdee71ba4457610f Inline-0.45.tar.gz"